# Getting Started guide

Welcome to the OpenProject **Getting Started guide**.

Here you will learn about the **first steps with OpenProject**. If you need more detailed explanations of all features, please visit the respective section in our [user guide](../user-guide/).

## Overview

| Popular Topics                                          | Description                                                  |
| ------------------------------------------------------- | :----------------------------------------------------------- |
| [Introduction to OpenProject](openproject-introduction) | Get an introduction about project management with OpenProject. |
| [Sign in and registration](sign-in-registration)        | Find out how you can register and sign in to OpenProject.    |
| [Create a project](projects)                            | How to create and set up a new project?                      |
| [Invite team members](invite-members)                   | How to invite new members?                                   |
| [Work packages](work-packages-introduction)             | Learn how to create and edit work packages.                  |
| [Gantt chart](gantt-chart-introduction)                 | Find out how to create a project plan.                       |
| [Boards](boards-introduction)                           | How to work with Agile Boards?                               |
| [My account](my-account)                                | How to configure My Account?                                 |
| [My page](my-page)                                      | Find out more about a personal My page dashboard.            |

## 5 steps to get started

Watch a short 3 minute introduction video to get started with OpenProject in 5 easy steps:

1. Create a project
2. Add team members
3. Create work packages
4. Create a project plan
5. Filter, group and create reports

<iframe width="560" height="315" src="https://www.youtube.com/embed/Fk4papnAzMw" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
