#-- copyright
# OpenProject is a project management system.
# Copyright (C) 2012-2018 the OpenProject Foundation (OPF)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License version 3.
#
# OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
# Copyright (C) 2006-2017 Jean-Philippe Lang
# Copyright (C) 2010-2013 the ChiliProject Team
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
# See docs/COPYRIGHT.rdoc for more details.
#++

shared_context 'ui-select helpers' do
  def ui_select_choose(select2_element, option_name)
    # Open the element
    select2_element.find('.select2-choice').click
    # Insert the text to find
    select2_element.find('.select2-search input').set(option_name)
    # click the element to select it
    select2_element.find('ul.select2-result-single li', text: option_name).click
  end

  def ui_select(select2_element, option_name)
    # Open the element
    select2_element.find('.select2-choice, .select2-choices').click
    # click the element to select it
    page.find('.select2-result-label', text: option_name).click
  end

  def ui_select_clear(select2_element)
    select2_element.all('.select2-search-choice-close').each(&:click)
  end
end
